<?php
include_once(_DIR_EXT.'/HTML/c_page_TXT.php') ;
class c_page_cab_slave_get extends c_page_txt
{
  function body()
  {  $arr=explode('/',_CUR_PAGE_DIR) ;
     $action=$arr[3] ;
     $mode=$arr[4] ;
     $options=array() ;
     $report_obj=null ;

     if (isset($_GET['limit'])) $options['limit']=$_GET['limit'] ;
     switch($action)
     { case 'get_list_personals':    include_once('report_personals.php') ;       $report_obj=new report_personals() ; break ;
       case 'get_list_mo':           include_once('report_mo.php') ;              $report_obj=new report_mo() ; break ;
     }
     if (is_object($report_obj))
     {   $report_obj->filter=$_GET;
         switch($mode)
          { case 'json': $report_obj->view_as_JSON($options) ; break ;
            case 'xml':  $report_obj->view_as_XML($options) ; break ;
            case 'html':  $report_obj->view_as_html($options) ; break ;
            default:     echo 'undefined output mode' ;
          }
     }
  }

}



?>